"use strict";

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _toetag = require("toetag");

var _jssPreset = require("./jss-preset");

var _jssPreset2 = _interopRequireDefault(_jssPreset);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var styles = {
	innerAlert: {
		marginBottom: _toetag.bootstrap.paddingBaseVertical,
		display: "inline-block",
		textAlign: "left"
	}
};

var Alert = function Alert(_ref) {
	var _ref$type = _ref.type;
	var type = _ref$type === undefined ? "info" : _ref$type;
	var message = _ref.message;
	var headline = _ref.headline;
	var onDismiss = _ref.onDismiss;
	var classes = _ref.sheet.classes;

	var props = _objectWithoutProperties(_ref, ["type", "message", "headline", "onDismiss", "sheet"]);

	var css = "alert alert-dismissible alert-" + type + " " + classes.innerAlert;
	var headlineEl = headline ? _react2.default.createElement(
		"strong",
		null,
		headline,
		"\xA0"
	) : null;

	return _react2.default.createElement(
		"div",
		props,
		_react2.default.createElement(
			"div",
			{ className: css },
			_react2.default.createElement(
				"button",
				{ type: "button", className: "close", title: "Dismiss", onClick: onDismiss },
				"\xD7"
			),
			headlineEl,
			message
		)
	);
};

exports.default = (0, _jssPreset2.default)(Alert, styles);